----------------------------------------------------------------------
                       XooNIps 変更履歴 一覧
----------------------------------------------------------------------
3.48 リリース (2014-01-31)
+ 3.47 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - アイテム一覧画面における XSS の脆弱性の修正
  - 詳細検索時に特定の条件下で検索ができない問題の修正
    - 特定のアイテムタイプにおける添付ファイルの中身が検索できない
    - 添付ファイルが削除された状態のアイテムが検索対象にならない
  - 外部システムから情報を取得する際に HTTPS 通信がうまくいかない
    不具合の修正
  - ログイン時のリダイレクト機能に関する不具合の修正
* その他
  - HTML の head セクションへメタデータを出力できる機能の提供のため
    アイテムタイプ インターフェース '${xnpXXX}GetHeadMeta()' を実験
    的に追加
    ※ この機能の実装にあたっては以下のサイトを参考にさせて頂きました．
       http://www.zuki-ebetsu.jp/blog/2011/08/10/1312980457/
       有益な情報の公開に感謝致します．


3.47 リリース (2013-07-05)
+ 3.46a における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - 各アイテムタイプの OAI-PMH のメタデータ定義の見直し
  - 各アイテムタイプの OAI-PMH Junii2 version 3 への対応
  - その他累積的なバグの修正
* 互換性の向上
  - XOOPS Cube Legacy 2.2 のサポート
  - MySQL 5.5 の実験的なサポート
* その他
  - アイテム承認拒否時の通知機能の追加
  - Preload サンプルの追加


3.46a リリース (2012-05-24)
+ 3.45 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - アバター画像アップロードに失敗する不具合の修正
  - 関連アイテム検索時に次のページに進めない不具合の修正
  - ユーザ切り替え終了時にオンライン状態のままになる不具合の修正
  - 詳細検索時に各キーワードがOR条件になる問題の修正
  - 管理者がユーザの情報を編集する際に対象ユーザの情報編集画面に移動し
    ない不具合の修正
* 互換性の向上
  - ファイルアップロード時のMIME-Typeの判別に際し必要な設定が施されて
    いない場合，他の方法を試みるFallback処理を追加
  - 3.4 以前のバージョンからアップデートする際に壊れたDBを修復するコー
    ドの追加


3.45 リリース (2011-03-03)
+ 3.44 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - 添付ファルのダウンロード時の Content-Type ヘッダの問題修正
  - 3.24 からのアップデート時のバグ修正
  - アイテムが削除された時に参照していたアイテム側の Related To 項目が
    削除されない不具合の修正
  - Zip ファイルの展開に失敗する場合がある不具合修正
  - Add Item に関する不具合修正
    - 他人のアイテムを自身のプライベートに追加できてしまう
    - 公開承認作業中のアイテムを指定するとアイテムの編集ロックが外れなく
      なる
  - OAI-PMH リポジトリの setSpec に関する不具合修正
    - 各メソッドの応答のレコード中に現れる setSpec 値が ListSets 応答の
      setSpec 値と一致しない場合がある
    - 各メソッドの set 引数による選択的ハーベスティングの結果一覧が正しく
      ない場合がある
  - 特定の条件下でインポートに失敗する場合がある不具合の修正
  - その他累積的な不具合の修正
* 互換性の向上
  - Windows の IIS における互換性向上
  - PHP 5.3 における互換性向上
    - 警告メッセージの抑止
    - 非推奨な関数の撤廃(ereg, splitなど)
    - Fileinfo 拡張のマジックファイル設定が空の場合の動作対応
  - MySQL のオプションに STRICT_TRANS_TABLES が指定されている場合インス
    トールに失敗するアイテムタイプモジュールがある．
* 機能拡張
  - item_id による検索


3.44 リリース (2010-01-27)
+ 3.43 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - ユーザ定義のIDを用いたファイルのダウンロードの際 404 エラーが表示
    される不具合の修正
  - アイテム編集時に関連アイテムが消えてしまう不具合の修正


3.43 リリース (2009-08-21)
+ 3.42a における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - コメント機能利用時のテンプレート変数名の修正
  - インポート時に添付ファイルのサムネイル生成に失敗する不具合の修正
  - Paper アイテムでアイテムを編集できない場合がある不具合の修正
  - アカウント情報ページ userinfo.php でユーザ情報のボタンが動作しない不
    具合の修正
  - いくつかのアイテムタイプにおいて出版年の項目が 1970 年になってしまう
    不具合の修正
  - XOOPS の言語環境が UTF-8 の際，添付ファイルの検索がうまくいかない場合
    がある不具合の修正
  - アカウント情報ページ userinfo.php の検索結果のリンク切れの修正
  - アイテム編集時に公開承認状態が更新されない不具合の修正
  - アイテム編集時に OAI-PMH の最終更新日時が更新されない不具合の修正
  - Book アイテムタイプの Amazon Product Advertising API 対応


3.42a リリース (2009-02-06)
+ 3.42 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - インポート時に ZIP ファイルの展開に失敗する不具合の修正
  - Book アイテムで印刷ページが正常に表示されない不具合の修正
  - Data アイテムで不要な文字 'k' が表示される不具合の修正


3.42 リリース (2009-01-21)
+ 3.41 における不具合修正の為のメンテナンスリリース

(変更履歴)
* バグ修正
  - Related To が相互参照されている際に無限ループに陥る不具合を修正
  - ユーザ情報の更新が失敗する場合がある不具合の修正
  - 不要なセッションを破棄する際に検索キャッシュが破棄されない不具合の修正
  - UNIX/Linux において，MS-WORD の検索インデックス作成で日本語を正常に扱え
    ない場合がある不具合の修正
  - イベントログに異常なデータが含まれている場合，ランキングが正常に動作し
    ない場合がある不具合の修正
  - Book, Conference, Data, Mode, Paper, Presentaion, Simulator, Stimulus,
    Tool アイテムタイプのアップデート時の不具合の修正
  - Bookアイテムの一覧表示時の HTML 書式違反の修正
  - URL アイテムのクリック数のカウントアップが正常に動作しない不具合の修正
* 内部改善
  - アイテムの一覧表示およびアイテム移譲時の速度の向上
  - インポートファイルの後方互換性の向上
* UI改善
  - インデックスツリーのアイコンをきれいなものに変更し，ツリー開閉を表現
    できるように改良
  - タブイメージをきれいなものに差し替え
  - グループ管理，グループメンバー管理，グループ一覧の全体的に書き換え
  - ユーザの業績リスト編集を全面的に書き換え


3.41 リリース (2008-12-12)
+ 3.40 における不具合修正の為のメンテナンスリリース

(変更履歴)
* インポートにおいて，入力するインポートファイルの互換性の向上
*  XOOPS 2.0.16a-JP において，アイテムの承認ができないバグを修正


3.40 リリース (2008-11-28)
+ 新規機能(2007年度開発課題)を組み込んだメジャーアップデート

(変更履歴)
* アイテムの所有権を移譲する機能の実装
* ユーザアカウントを削除する機能の実装
* Binder アイテムを XooNIps 本体から切り離し，アイテムタイプモジュール化
* グループ領域のアイテムの一括公開機能の実装
* コメント文中からの URL/E-mail リンク化
* インデックスツリーの表示速度の向上
* アイテムにユーザがコメントを付ける機能の実装
* XOOPS Cube Legacy 2.1 対応
* RSS の配信の簡潔化
* その他
  - Paper アイテムの PubMed 補完時の Keyword 対応
  - Book, Data, Model, Simulator, Simulator, Stimulus, Tool の各アイテム
    の著者，作成者，実験者の情報の複数登録対応
  - アイテム／ユーザ承認時の通知の改良
  - Book アイテムの ISBN 13桁対応
  - OAI-PMH によるメタデータ検索機能の拡張
  - XooNIps XML-RPC API XooNIps.getItemType においてアイテム表示名を返す
    ように改良
  - 日本語 UTF-8 の言語リソース名を japaneseutf から ja_utf8 に改名
  - 英語 UTF-8 の言語リソース englishutf の削除

3.32 リリース (2008-04-14)
+ 3.31 における不具合修正の為のメンテナンスリリース

(変更履歴)
* XooNIps XML-RPC API の致命的な不具合の修正
* ランキングのカウントが正常に行われない場合がある問題の修正
* 新規アイテム登録時にセッションがあふれる場合がある問題の修正
* アイテムタイプでラベル名の間違い個所の修正


3.31 リリース (2007-11-02)
+ 3.30 における不具合修正の為のメンテナンスリリース

(変更履歴)
* メタデータの検索結果が印刷できない不具合の修正
* インデックスが日本語の際，アイテム一覧のブラウザのタイトルが文字化けする
  問題の修正
* 一覧画面でアイテムに ID がある場合，リンク先が ID を基にしたものにならな
  い場合がある問題の修正
* OAI-PMH リポジトリ応答の XML 書式違反を修正
* ランキングブロック中の "Most Searched Keywords" のリンクが正しくない場
  合ある不具合の修正
* 設定テストの不具合修正
  - "file upload" ディレクトリが /tmp や /var/tmp のサブディレクトリの場合
    でもテスト結果が OK になってしまう問題の修正
  - テスト結果が OK でも fileinfo が動作しない場合がある問題の修正
* イベントログの不具合修正
  - ページレイアウトが崩れる問題の修正
  - アイテム別のログのダウンロードが正常に動作しない問題の修正
* アイテムタイプの不具合修正
  - 詳細検索で Paper, Conference アイテムの PublicationYear で検索が動作
    しない問題の修正
  - Conference アイテムの view.php の 424行目でエラーが出る問題の修正
  - Binder アイテムの一覧表示の際の HTML 書式違反を修正
* PHP 4.x 互換性
  - listitem.php の 323行目で Notice メッセージが出る問題の修正
* その他
  - sysutil 言語切り替え機能利用時に添付ファイルのダウンロードで失敗する
    問題の修正


3.30 リリース (2007-07-02)
+ RIKEN BSI Neuroinformatics Japan Center 管理下による初回リリース

(変更履歴)
* ユーザ登録ワークフローの見直し
* OAI-PMH リポジトリの Set 対応
　- ListSets応答
　- ListIdentifiers・ListRecoreds・GetRecord のセット情報応答
　- ListIdentifiers・ ListRecoredsの set 引数応答
* アクセスログのグラフ可視化
* XooNIps管理画面の全面的改訂
* 管理画面からのアイテム一括処理の追加
　- 公開アイテムの一括取り下げ
　- アイテムの一括削除
* 管理画面へのシステム設定チェック機能の追加
* ファイルダウンロード時のライセンス同意画面の強化
* アイテム詳細画面における URL の固定化
* Proxy 設定の追加（OAI-PMH ハーベスタ，PubMed補完，Amazon補完）
* アイテム一覧画面における下層インデックスツリーの表示
* SEO 対策コードの追加
　- ブラウザのタイトル
　- 添付ファイルのダウンロード
* ロゴアイコンの更新
* HTML書式違反の修正
* その他累積的なバグおよびセキュリティ問題の修正


3.24 (2007-03-08)
+ RIKEN BSI Neuroinformatics Laboratory 管理下による最後のリリース
